# MSP::CCS::GEOREF Class Reference

`#include <GEOREF.h>`

Inheritance diagram for MSP::CCS::GEOREF:

List of all members.

## Public Member Functions

| GEOREF ()
| GEOREF (const GEOREF &g)
| ~GEOREF (void)
GEOREF & | operator= (const GEOREF &g)
MSP::CCS::GEOREFCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates, long precision)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::GEOREFCoordinates *GEOREFString)

## Detailed Description

Definition at line 99 of file GEOREF.h.

## Constructor & Destructor Documentation

GEOREF::GEOREF | ( |  | ) |

Definition at line 278 of file GEOREF.cpp.

GEOREF::GEOREF | ( | const GEOREF & | g | ) |

Definition at line 284 of file GEOREF.cpp.

GEOREF::~GEOREF | ( | void |  | ) |

Definition at line 291 of file GEOREF.cpp.

## Member Function Documentation

MSP::CCS::GEOREFCoordinates * GEOREF::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 308 of file GEOREF.cpp.

MSP::CCS::GeodeticCoordinates * GEOREF::convertToGeodetic | ( | MSP::CCS::GEOREFCoordinates * | GEOREFString | ) |

Definition at line 396 of file GEOREF.cpp.

GEOREF & GEOREF::operator= | ( | const GEOREF & | g | ) |

Definition at line 296 of file GEOREF.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/georef/GEOREF.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/georef/GEOREF.cpp